"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
require("./homepage.css");
var Homepage = function (p) {
    var title = p.title, subtitle = p.subtitle, description = p.description, className = p.className, _a = p.children, children = _a === void 0 ? [] : _a;
    return (React.createElement("div", { className: className ? "homepage " + className : 'homepage' },
        React.createElement("div", { className: "homepage-title" }, title),
        React.createElement("div", { className: "homepage-subtitle" }, subtitle),
        description &&
            React.createElement("div", { className: "homepage-description" }, description),
        children));
};
exports.default = Homepage;
//# sourceMappingURL=homepage.js.map