/// <reference types="react" />
import * as React from "react";
import "./sectionsnavigator.scss";
export declare type SectionsNavigatorProps = {
    children?: any;
    containerId?: string;
    offset?: number;
};
export declare type State = {
    navigating: boolean;
};
export declare class SectionsNavigator extends React.Component<SectionsNavigatorProps, State> {
    constructor(props: SectionsNavigatorProps);
    render(): JSX.Element;
}
export declare type SectionProps = {
    title: string;
    description?: string;
    children?: any;
    sectionDescriptionInline?: boolean;
    className?: string;
    uid?: string;
    role?: 'section';
};
export declare const Section: (p: SectionProps) => JSX.Element;
